All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface ITContentSubscriber

All Superinterfaces:
  CMetadata, ITSubscriber, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

    public interface ITContentSubscriber

extends ITSubscriber

A subscriber profile for content subscribers.

Attributes of ITContentSubscriber are:

- `ArchiveReceiveBy`
- `EmailFormat`

Associations of ITContentSubscriber are:

- `Filters`

## Usage

To create an instance of this ITContentSubscriber, use the `factory` create methods.
Example: create a ITContentSubscriber with name "ITContentSubscriber_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ITContentSubscriber myObject = (ITContentSubscriber) factory.createComplexMetadataObject(objectStore, "ITContentSubscriber_Object", MetadataObjects.ITCONTENTSUBSCRIBER, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_FILTERS_NAME` Constant used for the name of the Filters association.
`static java.lang.String` | `ATTRIBUTE_ARCHIVERECEIVEBY_NAME` Constant used for the name of the ArchiveReceiveBy attribute.
`static java.lang.String` | `ATTRIBUTE_EMAILFORMAT_NAME` Constant used for the name of the EmailFormat attribute.

Fields inherited from interface com.sas.metadata.remote.ITSubscriber
`ASSOCIATION_CONTENTDESTINATION_NAME, ASSOCIATION_PROFILEOWNER_NAME, ASSOCIATION_SUBSCRIBEDCHANNELS_NAME, ASSOCIATION_SUBSCRIBEREMAIL_NAME, ATTRIBUTE_DELIVERYTRANSPORT_NAME, ATTRIBUTE_QUEUENAME_NAME, ATTRIBUTE_URL_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`java.lang.String` | `getArchiveReceiveBy()` Gets the `String` value of `ArchiveReceiveBy`
`int` | `getArchiveReceiveByMaxLength()` Gets the maximum length of `ArchiveReceiveBy`
`int` | `getArchiveReceiveByState()` Gets the Metadata State of `ArchiveReceiveBy`
`java.lang.String` | `getEmailFormat()` Gets the `String` value of `EmailFormat`
`int` | `getEmailFormatMaxLength()` Gets the maximum length of `EmailFormat`
`int` | `getEmailFormatState()` Gets the Metadata State of `EmailFormat`
`AssociationList` | `getFilters()` Gets the Association list of `Filters`
`AssociationList` | `getFilters(boolean fGoToServer)` Gets the Associationlist of `Filters`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are:
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setArchiveReceiveBy(java.lang.String inArchiveReceiveBy)` Sets the `ArchiveReceiveBy` value and sets the state to MetadataState.LOCAL.
`void` | `setArchiveReceiveBy(java.lang.String inArchiveReceiveBy, int state)` Sets the `ArchiveReceiveBy` Metadata State.
`void` | `setArchiveReceiveByState(int state)` Sets the Metadata State of `ArchiveReceiveBy`.
`void` | `setEmailFormat(java.lang.String inEmailFormat)` Sets the `EmailFormat` value and sets the state to MetadataState.LOCAL.
`void` | `setEmailFormat(java.lang.String inEmailFormat, int state)` Sets the `EmailFormat` Metadata State.
`void` | `setEmailFormatState(int state)` Sets the Metadata State of `EmailFormat`.
`void` | `setFilters(AssociationList list)` Sets the `Filters` list to be `list`.
`void` | `setFilters(AssociationList inObjects, int state)` Sets the entire Filters list to match the passed in AssociationList, sets the state of the Filters

Methods inherited from interface com.sas.metadata.remote.ITSubscriber
`getContentDestination, getContentDestinations, getContentDestinations, getDeliveryTransport, getDeliveryTransportMaxLength, getDeliveryTransportState, getProfileOwner, getProfileOwners, getProfileOwners, getQueueName, getQueueNameMaxLength, getQueueNameState, getSubscribedChannels, getSubscribedChannels, getSubscriberEmail, getSubscriberEmails, getSubscriberEmails, getURL, getURLMaxLength, getURLState, setContentDestination, setContentDestinations, setContentDestinations, setDeliveryTransport, setDeliveryTransport, setDeliveryTransportState, setProfileOwner, setProfileOwners, setProfileOwners, setQueueName, setQueueName, setQueueNameState, setSubscribedChannels, setSubscribedChannels, setSubscriberEmail, setSubscriberEmails, setSubscriberEmails, setURL, setURL, setURLState`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_ARCHIVERECEIVEBY_NAME

    static final java.lang.String ATTRIBUTE_ARCHIVERECEIVEBY_NAME

  Constant used for the name of the ArchiveReceiveBy attribute.

  ArchiveReceiveBy: String containing 'value' or 'reference' instructing the publishing system to send the actual content, or just a pointer.

  See Also:
    Constant Field Values

### ATTRIBUTE_EMAILFORMAT_NAME

    static final java.lang.String ATTRIBUTE_EMAILFORMAT_NAME

  Constant used for the name of the EmailFormat attribute.

  EmailFormat: String containing the value 'text' or 'html' specifying the user's preference for email formatting.

  See Also:
    Constant Field Values

### ASSOCIATION_FILTERS_NAME

    static final java.lang.String ASSOCIATION_FILTERS_NAME

  Constant used for the name of the Filters association.

  Filters: The filters to apply to subscribed content.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `ITSubscriber`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:

  Specified by:
    `initializePredObjects` in interface `ITSubscriber`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getArchiveReceiveBy

    java.lang.String getArchiveReceiveBy()
                                         throws java.rmi.RemoteException

  Gets the `String` value of `ArchiveReceiveBy`

  Returns:
    The `ArchiveReceiveBy`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getArchiveReceiveByState

    int getArchiveReceiveByState()
                                 throws java.rmi.RemoteException

  Gets the Metadata State of `ArchiveReceiveBy`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getArchiveReceiveByMaxLength

    int getArchiveReceiveByMaxLength()
                                     throws java.rmi.RemoteException

  Gets the maximum length of `ArchiveReceiveBy`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEmailFormat

    java.lang.String getEmailFormat()
                                    throws java.rmi.RemoteException

  Gets the `String` value of `EmailFormat`

  Returns:
    The `EmailFormat`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEmailFormatState

    int getEmailFormatState()
                            throws java.rmi.RemoteException

  Gets the Metadata State of `EmailFormat`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEmailFormatMaxLength

    int getEmailFormatMaxLength()
                                throws java.rmi.RemoteException

  Gets the maximum length of `EmailFormat`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getFilters

    AssociationList getFilters()
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the Association list of `Filters`

  Returns:
    The AssociationList of `Filters` which can be of type:
    ITFilter
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getFilters

    AssociationList getFilters(boolean fGoToServer)
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the Associationlist of `Filters`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Filters` which can be of type:
    ITFilter
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setArchiveReceiveBy

    void setArchiveReceiveBy(java.lang.String inArchiveReceiveBy)
                             throws java.rmi.RemoteException

  Sets the `ArchiveReceiveBy` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inArchiveReceiveBy` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setArchiveReceiveBy

    void setArchiveReceiveBy(java.lang.String inArchiveReceiveBy,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `ArchiveReceiveBy` Metadata State.

  Parameters:
    `inArchiveReceiveBy` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setArchiveReceiveByState

    void setArchiveReceiveByState(int state)
                                  throws java.rmi.RemoteException

  Sets the Metadata State of `ArchiveReceiveBy`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEmailFormat

    void setEmailFormat(java.lang.String inEmailFormat)
                        throws java.rmi.RemoteException

  Sets the `EmailFormat` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inEmailFormat` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEmailFormat

    void setEmailFormat(java.lang.String inEmailFormat,
                        int state)
                        throws java.rmi.RemoteException

  Sets the `EmailFormat` Metadata State.

  Parameters:
    `inEmailFormat` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEmailFormatState

    void setEmailFormatState(int state)
                             throws java.rmi.RemoteException

  Sets the Metadata State of `EmailFormat`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFilters

    void setFilters(AssociationList list)
                    throws java.rmi.RemoteException

  Sets the `Filters` list to be `list`. Objects of which can be of type:
  ITFilter

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFilters

    void setFilters(AssociationList inObjects,
                    int state)
                    throws java.rmi.RemoteException

  Sets the entire Filters list to match the passed in AssociationList, sets the state of the Filters

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.